[arch-commits] Commit in python-raven/repos (2 files)
Felix Yan
felixonmars at archlinux.org
Fri Oct 25 20:06:24 UTC 2019
Date: Friday, October 25, 2019 @ 20:06:23
Author: felixonmars
Revision: 519730
archrelease: copy trunk to community-staging-any
Added:
python-raven/repos/community-staging-any/
python-raven/repos/community-staging-any/PKGBUILD
(from rev 519729, python-raven/trunk/PKGBUILD)
----------+
PKGBUILD | 62 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
1 file changed, 62 insertions(+)
Copied: python-raven/repos/community-staging-any/PKGBUILD (from rev 519729, python-raven/trunk/PKGBUILD)
===================================================================
--- community-staging-any/PKGBUILD (rev 0)
+++ community-staging-any/PKGBUILD 2019-10-25 20:06:23 UTC (rev 519730)
@@ -0,0 +1,62 @@
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+# Contributor: Benjamin A. Shelton <zancarius at gmail.com>
+
+pkgbase=python-raven
+pkgname=(python-raven python2-raven)
+pkgver=6.10.0
+pkgrel=3
+pkgdesc="Python client for Sentry"
+arch=('any')
+url="https://pypi.python.org/pypi/raven"
+license=('BSD')
+makedepends=('python-setuptools' 'python2-setuptools' 'python2-contextlib2')
+checkdepends=('python-pytest-cov' 'python-bottle' 'python-celery' 'python-django'
+ 'python-pycodestyle' 'python-mock' 'python-nose' 'python-pytz' 'python-exam'
+ 'python-requests' 'python-tornado' 'python-paste' 'python-webob' 'python-webtest'
+ 'python-anyjson' 'python-flask' 'python-blinker' 'python-logbook'
+ 'python-pytest-django' 'python-flask-login' 'python-pytest-timeout' 'python-zconfig'
+ 'python-pytest-xdist')
+source=("$pkgbase-$pkgver.tar.gz::https://github.com/getsentry/raven-python/archive/$pkgver.tar.gz")
+sha512sums=('4e65c03b1c5d084588ef381223b06c7b2ded3239fb2f2da4b2694fcf897a590ba5b03ac421b6dd88e0ce408f2fafd605d92a2b544b4f975ece5510eb6010583b')
+
+prepare() {
+ cp -a raven-python-$pkgver{,-py2}
+}
+
+build() {
+ cd "$srcdir"/raven-python-$pkgver
+ python setup.py build
+
+ cd "$srcdir"/raven-python-$pkgver-py2
+ python2 setup.py build
+}
+
+check() {
+ # Hack distribution check by installing it
+ # "-p no:logging": https://github.com/getsentry/raven-python/issues/1164
+
+ cd "$srcdir"/raven-python-$pkgver
+ python setup.py install --root="$PWD/tmp_install" --optimize=1
+ PYTHONPATH="$PWD/tmp_install/usr/lib/python3.8/site-packages:$PYTHONPATH" \
+ py.test -p no:logging tests || warning "https://github.com/getsentry/raven-python/issues/1275"
+}
+
+package_python-raven() {
+ depends=('python')
+ optdepends=('python-setuptools: for "raven" script')
+
+ cd "$srcdir"/raven-python-$pkgver
+ python setup.py install --root="$pkgdir" --optimize=1
+ install -Dm664 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
+}
+
+package_python2-raven() {
+ depends=('python2-contextlib2')
+ optdepends=('python2-setuptools: for "raven2" script')
+
+ cd "$srcdir"/raven-python-$pkgver-py2
+ python2 setup.py install --root="$pkgdir" --optimize=1
+ mv "$pkgdir"/usr/bin/raven{,2}
+
+ install -Dm664 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
+}
More information about the arch-commits
mailing list